<?php  
@session_start(); 
ob_start();
date_default_timezone_set("America/Chihuahua");
include('servicio.php');
$conn=ibase_connect($servicedini.":".$rutadini.$empresadini."",$usuariodini, $basedecode);
if (!$conn){
  session_destroy();
  echo "Servicio denegado";  
  exit;
}



$action = (isset($_REQUEST['action'])&& $_REQUEST['action'] !=NULL)?$_REQUEST['action']:'';
if($action == 'ajax'){


  //las variables de paginación
  $page = (isset($_REQUEST['page']) && !empty($_REQUEST['page']))?$_REQUEST['page']:1;



  $per_page = 25; //la cantidad de registros que desea mostrar
  $offset = ($page - 1) * $per_page;
  //Cuenta el número total de filas de la tabla*/
  $numrows = 0;

 
  $query="SELECT * FROM MG_ESTATUS_PEDIDOS";
  $result = ibase_query($conn, $query); 
  while ($row = ibase_fetch_object($result)){
      $numrows++;
  }
  $total_pages = ceil($numrows/$per_page);
  $reload = 'index.php';




      echo "<tbody id='example'>";
      $query="SELECT First $per_page Skip $offset * FROM MG_ESTATUS_PEDIDOS ORDER BY RUTA_REPARTO ASC, NO_PEDIDO ASC";
      $result = ibase_query($conn, $query);
      while ($row = ibase_fetch_object($result)){

      echo "<tr>";

      if ($row->RUTA_REPARTO!='') {echo "<th>".$row->RUTA_REPARTO."</th>";}else{echo "<th></th>";}
      if ($row->NO_PEDIDO!='') {echo "<th>".$row->NO_PEDIDO."</th>";}else{echo "<th></th>";}
      if ($row->NO_LISTA_SURTIDO!='') {echo "<th>".$row->NO_LISTA_SURTIDO."</th>";}else{echo "<th></th>";}

/*1*/ if ($row->NO_PARTIDAS!='') {echo "<th id='a".$row->NO_PEDIDO."'>".$row->NO_PARTIDAS."</th>";}
      else{echo "<th id='a".$row->NO_PEDIDO."'></th>";}

/*2*/ if ($row->NO_PZAS_TOTALES!='') {echo "<th id='b".$row->NO_PEDIDO."'>".$row->NO_PZAS_TOTALES."</th>";}
      else{echo "<th id='b".$row->NO_PEDIDO."'></th>";}



/*3*/ if ($row->HORA_C_LISTA_SURTIDO!='') {echo "<th id='c".$row->NO_PEDIDO."'>".$row->HORA_C_LISTA_SURTIDO."</th>";}
      else{echo "<th id='c".$row->NO_PEDIDO."'></th>";}      
      



/*4*/ if ($row->SURTIDOR_ASIGNADO!='') {echo "<th id='d".$row->NO_PEDIDO."'>".$row->SURTIDOR_ASIGNADO."</th>";}
      else{echo "<th id='d".$row->NO_PEDIDO."'></th>";}

      
/*5*/ if ($row->HORA_ASIGNACION!='') {echo "<th id='e".$row->NO_PEDIDO."'>".$row->HORA_ASIGNACION."</th>";}
      else{echo "<th id='e".$row->NO_PEDIDO."'></th>";}

////////////////////////////////////////////////////CAMPOS DE CUARTO CHICO////////////////////////////////////////////////
////////////////////////////////////////////////////CAMPOS DE CUARTO CHICO////////////////////////////////////////////////
////////////////////////////////////////////////////CAMPOS DE CUARTO CHICO////////////////////////////////////////////////
if ($_SESSION["ACTIVO_CUARTO_CHICO"] == 'S'){
  if ($row->PZAS_SECTOR_2!='') {echo "<th>".$row->PZAS_SECTOR_2."</th>";}else{echo "<th></th>";}

  /*6*/ if ($row->CIERRE_P_SECTOR_2!='') {echo "<th id='f".$row->NO_PEDIDO."'>".$row->CIERRE_P_SECTOR_2."</th>";}
        else{echo "<th id='f".$row->NO_PEDIDO."'></th>";}

  if ($row->PZAS_SECTOR_3!='') {echo "<th>".$row->PZAS_SECTOR_3."</th>";}else{echo "<th></th>";}


  /*7*/ if ($row->CIERRE_P_SECTOR_3!='') {echo "<th id='g".$row->NO_PEDIDO."'>".$row->CIERRE_P_SECTOR_3."</th>";}
        else{echo "<th id='g".$row->NO_PEDIDO."'></th>";}

}
////////////////////////////////////////////////////CAMPOS DE CUARTO CHICO////////////////////////////////////////////////
////////////////////////////////////////////////////CAMPOS DE CUARTO CHICO////////////////////////////////////////////////
////////////////////////////////////////////////////CAMPOS DE CUARTO CHICO////////////////////////////////////////////////


      if ($row->PZAS_SECTOR_1!='') {echo "<th>".$row->PZAS_SECTOR_1."</th>";}else{echo "<th></th>";}


/*8*/ if ($row->HORA_C_ENTREGA_P_MESA!='') {echo "<th id='h".$row->NO_PEDIDO."'>".$row->HORA_C_ENTREGA_P_MESA."</th>";}
      else{echo "<th id='h".$row->NO_PEDIDO."'></th>";}



/*9*/ if ($row->MESA_VERIFICACION!='') {echo "<th id='i".$row->NO_PEDIDO."'>".$row->MESA_VERIFICACION."</th>";}
      else{echo "<th id='i".$row->NO_PEDIDO."'></th>";}



/*10*/ if ($row->HORA_I_VERIFICACION!='') {echo "<th id='j".$row->NO_PEDIDO."'>".$row->HORA_I_VERIFICACION."</th>";}
      else{echo "<th id='j".$row->NO_PEDIDO."'></th>";}



/*11*/ if ($row->HORA_C_VERIFICACION!='') {echo "<th id='k".$row->NO_PEDIDO."'>".$row->HORA_C_VERIFICACION."</th>";}
      else{echo "<th id='k".$row->NO_PEDIDO."'></th>";}



/*12*/ if ($row->NO_BULTOS!='') {echo "<th id='l".$row->NO_PEDIDO."'>".$row->NO_BULTOS."</th>";}
      else{echo "<th id='l".$row->NO_PEDIDO."'></th>";}



/*13*/ if ($row->HORA_ASIGNACION_RAMPA!='') {echo "<th id='m".$row->NO_PEDIDO."'>".$row->HORA_ASIGNACION_RAMPA."</th>";}
      else{echo "<th id='m".$row->NO_PEDIDO."'></th>";}



/*14*/ if ($row->NO_RAMPA!='') {echo "<th id='n".$row->NO_PEDIDO."'>".$row->NO_RAMPA."</th>";}
      else{echo "<th id='n".$row->NO_PEDIDO."'></th>";}


/*15*/ if ($row->HORA_EMBARQUE!='') {echo "<th id='o".$row->NO_PEDIDO."'>".$row->HORA_EMBARQUE."</th>";}
      else{echo "<th id='o".$row->NO_PEDIDO."'></th>";}


/*16*/ if ($row->NO_HOJA_RUTA!='') {echo "<th id='p".$row->NO_PEDIDO."'>".$row->NO_HOJA_RUTA."</th>";}
      else{echo "<th id='p".$row->NO_PEDIDO."'></th>";}

      echo "
      <script>compruebaCuadros('".$row->NO_PEDIDO."'); </script></tr>";
      
    }
    echo "</tbody>";
  


}

?>








































